/****************************************************************************
 *
 * Copyright (c) 2010-2012, EBM WebSourcing
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA 
 *
 *****************************************************************************/
 
package org.ow2.petals.cli.api.command.exception;

import org.ow2.petals.cli.api.command.Command;

/**
 * Exception thrown when an error occurs on the number of arguments of the command.
 * 
 * @author Christophe DENEUX - Linagora
 */
public class CommandBadArgumentNumberException extends CommandInvalidException {

    private static final long serialVersionUID = -1477609157307715208L;

    public final static String BAD_NUMBER_OF_ARGUMENTS_OR_INCOMPATIBLE_ARGUMENTS = "Bad number of arguments or incompatible arguments";

    public CommandBadArgumentNumberException(final Command command) {
        super(command, BAD_NUMBER_OF_ARGUMENTS_OR_INCOMPATIBLE_ARGUMENTS);
    }

}
