/****************************************************************************
 *
 * Copyright (c) 2010-2012, EBM WebSourcing
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA 
 *
 *****************************************************************************/

package org.ow2.petals.cli.api.exception;

/**
 * A command has been registered twice.
 * 
 * @author Christophe DENEUX - EBM WebSourcing
 * 
 */
public class DuplicatedCommandException extends ShellException {

    private static final long serialVersionUID = 628156879568836520L;

    /**
     * Name of the duplicated command.
     */
    private final String commandName;

	public DuplicatedCommandException(final String commandName) {
		super("The command '" + commandName + "' is already registered.");
		this.commandName = commandName;
	}

    /**
     * Get the duplicated command name.
     * 
     * @return The duplicated command name.
     */
    public String getCommandName() {
        return this.commandName;
    }

}
